# getMergedPodDefinition method

1. @override

RootPodDefinition getMergedPodDefinition(

1. String podName

)
override

Retrieves the merged pod definition for the specified pod name.

Merged definitions combine parent and child definitions in hierarchical configurations.

## Usage Example:

    final definition = factory.getMergedPodDefinition('dataService');
    print('Pod class: ${definition.podClass}');

@param podName The name of the pod to get the definition for @return The merged root pod definition

## Implementation

    @override
    RootPodDefinition getMergedPodDefinition(String podName) {
      if (_parent != null && _parent!.getPodFactory().containsDefinition(podName)) {
        return _parent!.getPodFactory().getMergedPodDefinition(podName);
      }

      return getPodFactory().getMergedPodDefinition(podName);
    }